Bug 9904 - showfont doesn't find the xfs server
showfont doesn't find the xfs server
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: X11R6-contrib (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-01 15:08 EST by Brock Organ
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-06 15:07:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2000-03-01 15:08:26 EST
Unable to find the xfs server:

[root@test95 /root]# showfont -server localhost:0.0 -fn "*"
_FSTransSocketINETConnect: Can't get service for 0.0
can't open server "localhost:0.0"
[root@test95 /root]# ps afxww | grep xfs
  740 ?        S      0:02 xfs -droppriv -daemon -port -1
 2063 pts/2    S      0:00      \_ grep xfs
[root@test95 /root]# showfont -server localhost:7100 -fn "*"
_FSTransSocketINETConnect: Can't connect: errno = 111
_FSTransSocketINETConnect: Can't connect: errno = 111
_FSTransSocketINETConnect: Can't connect: errno = 111
_FSTransSocketINETConnect: Can't connect: errno = 111

[root@test95 /root]# showfont -server test95:7100 -fn "*"
_FSTransSocketINETConnect: Can't connect: errno = 111
_FSTransSocketINETConnect: Can't connect: errno = 111

[root@test95 /root]#
Comment 1 Cristian Gafton 2000-03-04 12:59:59 EST
This is attemtping to connect to the xfs server over a TCP socket. That is
disabled by default in the shipping xfs server for security reasons.
Comment 2 Preston Brown 2000-03-06 15:07:59 EST
try showfont -server :-1 -fn \*courier\*

Note You need to log in before you can comment on or make changes to this bug.